[Jerusalem.pm] 5.8.9 RC1 is out, please test your code with it!

Gabor Szabo szabgab at gmail.com
Tue Nov 11 23:21:47 PST 2008


I know about several companies that cannot move from 5.6 to 5.8 or 5.10
as their code does not run there.
Some of them complain how horrible it is that perl has changed and something
was removed from it that is causing them the problem.

I think the main problem is that these companies while rely on Perl they don't
exercise their right the fact Perl is Open Source gives them.

If Perl is important for them the can and should check if some change in perl
is going to cause them trouble. The best would be of course to follow the
development of the interpreter but if they cannot do that at least they should
check if the Release Candidates meet their needs.

So If you are using perl 5.8.x, you should go ahead, download RC1 of 5.8.9
and check if your code works on it.

See the announcement of Nick Clark:
http://use.perl.org/~nicholas/journal/37858

Gabor

-- 
Gabor Szabo                     http://szabgab.com/blog.html
Test Automation Tips        http://szabgab.com/test_automation_tips.html



More information about the Jerusalem mailing list